FROM ubuntu:18.04

ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get update && apt-get upgrade -y

# Datica Base Image
# install core tools 
RUN apt-get install -y --no-install-recommends man netstat-nat netcat \
    dnsutils psmisc ca-certificates curl \
    wget git-core patch rsync nano vim \
    tmux locales apt-transport-https \
    python runit ssh iputils-ping gnupg

# generate needed locales
RUN locale-gen en_US && (locale-gen en_US.UTF-8 || true) && (locale-gen en_US.ISO-8859-1 || true)

# clean up cached apt files
RUN apt-get clean && rm -rf /var/lib/apt

#PROFTP Install
RUN apt-get update && apt-get install -y software-properties-common && apt-get install -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold"  -y proftpd-basic

RUN rm /etc/proftpd/proftpd.conf && apt-get clean && rm -rf /var/lib/apt

EXPOSE 2292

COPY etc/ etc/
COPY sbin/ sbin/
COPY usr/ usr/

RUN chmod +x /etc/sv/proftpd/run && chmod +x /etc/sv/proftpd/create_sftp_user.sh 

ENTRYPOINT ["/etc/sv/proftpd/run"]